Package org.eclipse.swt.events

## Class TreeAdapter

- java.lang.Object
- - org.eclipse.swt.events.TreeAdapter

All Implemented Interfaces:
  `TreeListener`

    public abstract class TreeAdapter
    extends java.lang.Object
    implements TreeListener

This adapter class provides default implementations for the methods described by the `TreeListener` interface.

Classes that wish to deal with `TreeEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  `TreeListener`, `TreeEvent`

### Constructor Summary

Constructors
`TreeAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `treeCollapsed​(TreeEvent e)` Sent when a tree branch is collapsed.
`void` `treeExpanded​(TreeEvent e)` Sent when a tree branch is expanded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TreeAdapter

    public TreeAdapter()

### Method Detail

#### treeCollapsed

    public void treeCollapsed​(TreeEvent e)

Sent when a tree branch is collapsed. The default behavior is to do nothing.

Specified by:
  `treeCollapsed` in interface `TreeListener`
Parameters:
  `e` - an event containing information about the tree operation

#### treeExpanded

    public void treeExpanded​(TreeEvent e)

Sent when a tree branch is expanded. The default behavior is to do nothing.

Specified by:
  `treeExpanded` in interface `TreeListener`
Parameters:
  `e` - an event containing information about the tree operation